Bug 732372 - fence_ipmi exposes user password on verbose mod
Summary: fence_ipmi exposes user password on verbose mod
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: beta
: 6.2
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 743047 1241648
TreeView+ depends on / blocked
 
Reported: 2011-08-22 08:16 UTC by Simon Grinberg
Modified: 2015-07-09 18:22 UTC (History)
8 users (show)

Fixed In Version: fence-agents-3.1.5-9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 12:23:11 UTC


Attachments (Terms of Use)
Possible fix (2.69 KB, patch)
2011-08-22 14:15 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1599 normal SHIPPED_LIVE fence-agents bug fix and enhancement update 2011-12-06 00:51:16 UTC

Comment 2 Itamar Heim 2011-08-22 11:10:40 UTC
I view this as a bug in the fence script - we can't filter the output of the script for the password in it.
moving to fence agents component

Comment 4 Lon Hohberger 2011-08-22 13:56:47 UTC
There's an element of "don't do that" here.  Verbose mode is for debugging, and one possible error an administrator may do is mistype a password.

The easiest thing to do is remove the feedback for what fence_ipmilan is forking.

Comment 5 Ayal Baron 2011-08-22 14:09:45 UTC
user can see the password typed from command line so there is no reason to log it even in verbose mode.

Comment 6 Lon Hohberger 2011-08-22 14:15:18 UTC
Created attachment 519294 [details]
Possible fix

Comment 7 Lon Hohberger 2011-08-22 14:29:22 UTC
(In reply to comment #5)
> user can see the password typed from command line so there is no reason to log
> it even in verbose mode.

Users are not restricted to calling fencing agents from the command line to debug configurations (and in fact, they rarely do), so this argument does not really apply.

It's better to change the output than not; I've attached a patch that changes it to "[set]" in what is printed instead of the password contents.

Comment 8 Marek Grac 2011-09-15 10:40:44 UTC
Patch is now in upstream:

http://git.fedorahosted.org/git/?p=fence-agents.git;a=commit;h=61a7bb3addd3862833f5cf23725d378c563a10c5

Unit test:

Befora applying patch:
./fence_ipmilan -o status -a dell-ipmi -l root -p PASS -v
Getting status of
IPMI:dell-ipmi...Spawning:
'/usr/bin/ipmitool -I lan -H 'dell-ipmi' -U 'root' -P 'PASS' -v
chassis power status'...
Chassis power = On
Done

After applying patch:

./fence_ipmilan -o status -a dell-ipmi -l root -p PASS -v
Getting status of
IPMI:dell-ipmi...Spawning:
'/usr/bin/ipmitool -I lan -H 'dell-ipmi' -U 'root' -P '[set]' -v
chassis power status'...
Chassis power = On
Done

Comment 13 errata-xmlrpc 2011-12-06 12:23:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1599.html


Note You need to log in before you can comment on or make changes to this bug.